Bug 973756 (CVE-2013-2178) - CVE-2013-2178 fail2ban: remote denial of service due to apache log parsing issue
Summary: CVE-2013-2178 fail2ban: remote denial of service due to apache log parsing issue
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2013-2178
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 973757 973758
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-12 15:46 UTC by Vincent Danen
Modified: 2019-09-29 13:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 11:00:46 UTC


Attachments (Terms of Use)

Description Vincent Danen 2013-06-12 15:46:57 UTC
It was reported [1] that fail2ban improperly parses Apache log files, due to improper regular expressions.  This could allow a remote attacker to send a crafted URL to a web site which, when parsed by fail2ban, would deny a specific IP address (not the remote attacker's IP).

This was reported against fail2ban 0.8.9, but earlier versions use the same regular expression.  This has not yet been addressed upstream; the original report suggests replacement regular expressions, but in my (limited) testing they do not seem to work (testing using fail2ban-regex).


[1] https://vndh.net/note:fail2ban-089-denial-service

Comment 1 Vincent Danen 2013-06-12 15:48:28 UTC
Created fail2ban tracking bugs for this issue

Affects: fedora-all [bug 973757]
Affects: epel-all [bug 973758]

Comment 2 Jan Lieskovsky 2013-06-17 15:34:43 UTC
The CVE identifier of CVE-2013-2178 has been assigned to this issue:
  http://www.openwall.com/lists/oss-security/2013/06/13/7

Comment 3 Fedora Update System 2013-06-28 06:15:42 UTC
fail2ban-0.8.10-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2013-06-28 18:50:56 UTC
fail2ban-0.8.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Product Security DevOps Team 2019-06-10 11:00:46 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.